package token_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/token_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route get /api/admin/token/list token_admin GetTokenListAdmin
//
// Get token list | 获取凭证列表
//
// Get token list | 获取凭证列表
//
// Responses:
//  200: TokenListResp

func GetTokenListAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.TokenReq
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := token_admin.NewGetTokenListAdminLogic(r, r.Context(), svcCtx)
		resp, err := l.GetTokenListAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
